| Earth Observation Mission CFI Software EECommon Software User Manual |

Public Member Functions | Static Public Member Functions

# EECFI::CfiError Class Reference

Class to manage the CFI exceptions. More...

List of all members.

## Public Member Functions
| CfiError ()
| Empty constructor.
| CfiError (InternalError const &ie)
| Constructor with an InternalError object as argument.
| CfiError (const CfiError &ce)
| Copy constructor.
| ~CfiError ()
| Destructor.
long | status ()
| Get the status value of CFI function.
void | getCodes (vector< long > &codes, long &libCode, long &funCode)
| Method to get the error codes.
vector< string > & | getMsg (vector< string > &messages)
| Method to get the error messages.
void | addMsg (string msg)
| Add another messsage to the error list.
## Static Public Member Functions
static void | setVerbose (long lib)
| Method to switch on the verbosity of the library.
static void | setSilent (long lib)
| Method to switch off the verbosity of the library.

## Detailed Description

Class to manage the CFI exceptions.

The exceptions thrown due to errors in the execution of all the CFI functions have to be catched using this class.

## Constructor & Destructor Documentation

EECFI::CfiError::CfiError | ( |  | ) |

Empty constructor.

EECFI::CfiError::CfiError | ( | InternalError const & | ie | ) |

Constructor with an InternalError object as argument.

Parameters:

  | ie | Pointer to InternalError.

EECFI::CfiError::CfiError | ( | const CfiError & | ce | ) |

Copy constructor.

Parameters:

  | ce | CfiError object.

EECFI::CfiError::~CfiError | ( |  | ) |

Destructor.

## Member Function Documentation

void EECFI::CfiError::addMsg | ( | string | msg | ) |

Add another messsage to the error list.

Parameters:

  | msg | Vector where error messages will be stored.

void EECFI::CfiError::getCodes | ( | vector< long > & | codes,
|  | long & | libCode,
|  | long & | funCode |
| ) |  |  |

Method to get the error codes.

Parameters:

  | codes | Vector where error codes will be stored.
  | libCode | Code of the library where the error was detected (ExpcfiLibrary enum).
  | funCode | Code of the function where the error ocurred, as defined in C-library SUM.

References EECFI::NOT_DEFINED_LIB.

vector< string > & EECFI::CfiError::getMsg | ( | vector< string > & | messages | ) |

Method to get the error messages.

Parameters:

  | messages | Vector where error messages will be stored.

Returns:
  Vector of error messages.

void EECFI::CfiError::setSilent | ( | long | lib | ) | `[static]`

Method to switch off the verbosity of the library.

void EECFI::CfiError::setVerbose | ( | long | lib | ) | `[static]`

Method to switch on the verbosity of the library.

long EECFI::CfiError::status | ( |  | ) |

Get the status value of CFI function.

Returns:
  Status value.

References EECFI::NOT_DEFINED_LIB.